## smokeping 2.7.3

=== debian/changelog ===
smokeping (2.7.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:46:49 +0200

smokeping (2.7.3-4) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.5.0, no changes needed.

  [ Gabriel Filion ]
  * Import patch that disables refresh while zooming (Closes:#981348)
  * Import patch disabling rsa1 and enabling ecdsa for ssh probe (Closes:
    #962225)

 -- Gabriel Filion <gabriel@koumbit.org>  Sun, 24 Apr 2022 14:44:58 -0400

smokeping (2.7.3-3) unstable; urgency=medium

  [ Gabriel Filion ]
  * start generating smokeinfo manpage
  * postrm: purge, removal of apache2/conf.d/smokeping not needed anymore
  * make css and js load from the /smokeping alias (closes: #929515)
  * change fix-conf-paths patch to point the daemon to /run/smokeping for its
    pid indead of /var/run/smokeping

  [ Matteo F. Vescovi ]
  * debian/patches/: fix-alert-edgetriggers added (Closes: #934170)

 -- Gabriel Filion <gabriel@koumbit.org>  Sat, 11 Jul 2020 00:00:19 +0200

smokeping (2.7.3-2) unstable; urgency=medium

  [ Gabriel Filion ]
  * systemd: run service as smokeping user
    The systemd service unit file that was introduced in 2.7.3-1 didn't setup
    user and group properly for the service, and the daemon was running as root.
    This is now corrected, but it might mean that some files were created by and
    are owned by root. To fix this, you can use the following command:
    .
    find /var/lib/smokeping/ -mindepth 1 -name '__cgi' -prune -o \
      -exec chown smokeping:smokeping {} \;
  * missing-VERSION forwarded and merged upstream
  * patch "fix-400d-graph" forwarded and merged upstream
  * rename patch path_changes to make its name more meaningful
  * reduce javascript_path_changes to the strict minimum
  * fix-perl-lib: indicate that the patch shouldn't be forwarded
  * proper-samle-conf: indicate that it shouldn't be forwarded
  * make commands invoked in rules more verbose as per policy version 4.2.0
  * use https for the homepage
  * Bump Standards-Version to 4.3.0
  * merge both patches that hardcode config path
  * init.d: match on pidfile only prevents service stop (closes: #922395)
  * systemd: move example for slave mode in the examples dir
  * control: erroneous and duplicated mention of default mta

  [ Sven Hartge ]
  * Change group of secrets file for slaves to www-data (Closes: #760945)

 -- Gabriel Filion <gabriel@koumbit.org>  Sat, 23 Feb 2019 19:54:18 -0500

smokeping (2.7.3-1) unstable; urgency=medium

  * use https in watch file
  * new upstream release
  * remove patch merged upstream
  * add systemd service

 -- Gabriel Filion <gabriel@koumbit.org>  Wed, 23 Jan 2019 19:26:45 -0500
