=== debian/control ===
Source: smokeping
Section: net
Priority: optional
Maintainer: Gabriel Filion <gabriel@koumbit.org>
Build-Depends: debhelper-compat (= 12)
 , autoconf
 , automake
 , dh-apache2
 , apache2-dev
 , rename
Build-Depends-Indep: librrds-perl
 , groff-base
 , libhtml-parser-perl
 , libdigest-hmac-perl
 , libwww-perl
 , liburi-perl
 , libcgi-fast-perl
 , libconfig-grammar-perl
 , libnet-openssh-perl
 , libnet-snmp-perl
 , libnet-ldap-perl
 , libnet-dns-perl
 , libnet-telnet-perl
 , libio-pty-perl
Standards-Version: 4.5.0
Homepage: https://smokeping.org/
Vcs-Browser: https://salsa.debian.org/debian/smokeping
Vcs-Git: https://salsa.debian.org/debian/smokeping.git

Package: smokeping
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${perl:Depends}, ${misc:Depends}
 , libwww-perl
 , libsnmp-session-perl
 , librrds-perl (>= 1.2)
 , liburi-perl
 , fping
 , libcgi-fast-perl
 , adduser
 , lsb-base (>= 3.0-6)
 , libdigest-hmac-perl
 , ucf
 , libconfig-grammar-perl
 , libjs-cropper
 , libjs-scriptaculous
 , libjs-prototype
 , default-mta | mail-transport-agent
Recommends: apache2 | httpd-cgi
 , libsocket6-perl
 , dnsutils
 , echoping
 , ${misc:Recommends}
Suggests: curl
 , libauthen-radius-perl
 , libnet-ldap-perl
 , libnet-dns-perl
 , openssh-client
 , libio-socket-ssl-perl
 , libnet-telnet-perl
Description: latency logging and graphing system
 SmokePing consists of a daemon process which organizes the
 latency measurements and a CGI which presents the graphs.
 .
 With SmokePing you can measure latency and packet loss in your network.
 SmokePing uses RRDtool to maintain a longterm datastore and to draw pretty
 graphs giving up to the minute information on the state of each
 network connection.
