=== debian/watch ===
version=4
https://oss.oetiker.ch/smokeping/pub/ smokeping-(.+)\.tar\.gz
