=== debian/watch ===
version=4
opts="repacksuffix=+ds, dversionmangle=s/\+ds//,repack" \
https://oss.oetiker.ch/smokeping/pub/ smokeping-(.+)\.tar\.gz
