## smokeping 2.8.2+ds

=== debian/changelog ===
smokeping (2.8.2+ds-2) unstable; urgency=medium

  [Gabriel Filion]
  * Add missing libinfluxdb-http-perl to suggests. That's used by a new
    optional feature from 2.8.x
  * Remove echoping -- which does not exist anymore in debian archives -- from
    dependencies (Closes: #1115747)
    * This had already been fixed by Christoph Biedl for 2.7.3 but the change
      was unfortunately lost in the push of the new upstream version for 2.8.x
  * Delay startup order in systemd to avoid starting smokeping before DNS
    resolution is available (Closes: #996824)
  * SSH Probe: remove DSA and add ed25519 support (Closes: #1110355)
  * Mark package as compatible with `httpd` in general to permit installing
    with webservers other than apache2.

  [Jonathan Dowland]
  * Bring back two missing changelog entries from NMUs (Closes: #1092937)

  [Sebastian Badia]
  * Use apache2 fcgid handler by default

  [Alexey Vazhnov]
  * Add nginx configuration example

  [Matija Nalis]
  * Use modern user:group separator for chown in init script (Closes: #1112079)

 -- Gabriel Filion <gabster@lelutin.ca>  Sun, 22 Feb 2026 13:15:57 -0500

smokeping (2.8.2+ds-1) unstable; urgency=medium

  [ Gabriel Filion ]
  * New upstream version (Closes: #1004308, #740852)
  * All patches that were merged upstream were removed
  * Add an example lighttpd configuration file for smokeping (Closes: #961950)
  * Import upstream patch to fix curl probes (Closes: #986068)
  * Avoid errors with ucf/ucfr during postrm (Closes: #1005807)
  * New required library libobject-result-perl for influxdb
  * Remove obsolete dependency on lsb-base
  * fix lintian warning about unmatched news entry
  * lintian-overrides are now obsolete
  * Clear out copyright details for files removed in repack
  * Patch out building of 3rd-party js libs
  * Revert "fix lintian warning about unmatched news entry"

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Gabriel Filion <gabster@lelutin.ca>  Sun, 04 Feb 2024 14:54:09 -0500

smokeping (2.7.3-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove recommendation on echoping which is no longer in Debian.
    Closes: #1042953

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 02 Sep 2023 11:50:51 +0200
