=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: smokeping
 Section: net
-Priority: optional
-Maintainer: Gabriel Filion <gabriel@koumbit.org>
-Build-Depends: debhelper-compat (= 12)
+Maintainer: Gabriel Filion <gabster@lelutin.ca>
+Build-Depends: debhelper-compat (= 13)
  , autoconf
  , automake
  , dh-apache2
@@ -22,7 +21,7 @@
  , libnet-dns-perl
  , libnet-telnet-perl
  , libio-pty-perl
-Standards-Version: 4.5.0
+Standards-Version: 4.7.3
 Homepage: https://smokeping.org/
 Vcs-Browser: https://salsa.debian.org/debian/smokeping
 Vcs-Git: https://salsa.debian.org/debian/smokeping.git
@@ -33,12 +32,11 @@
 Depends: ${perl:Depends}, ${misc:Depends}
  , libwww-perl
  , libsnmp-session-perl
- , librrds-perl (>= 1.2)
+ , librrds-perl
  , liburi-perl
  , fping
  , libcgi-fast-perl
  , adduser
- , lsb-base (>= 3.0-6)
  , libdigest-hmac-perl
  , ucf
  , libconfig-grammar-perl
@@ -46,10 +44,9 @@
  , libjs-scriptaculous
  , libjs-prototype
  , default-mta | mail-transport-agent
-Recommends: apache2 | httpd-cgi
+Recommends: apache2 | httpd, libapache2-mod-fcgid | httpd-cgi
  , libsocket6-perl
  , dnsutils
- , echoping
  , ${misc:Recommends}
 Suggests: curl
  , libauthen-radius-perl
@@ -58,6 +55,12 @@
  , openssh-client
  , libio-socket-ssl-perl
  , libnet-telnet-perl
+ , libnet-openssh-perl
+ , libio-pty-perl
+ , libpath-tiny-perl
+ , libinfluxdb-http-perl
+ , libinfluxdb-lineprotocol-perl
+ , libobject-result-perl
 Description: latency logging and graphing system
  SmokePing consists of a daemon process which organizes the
  latency measurements and a CGI which presents the graphs.
